package com.enitsys.sqltools;

import java.util.Locale;

public enum Case {
    sensitive {
        String dml_tablename() {
            return "dml.casesensitive.tablename";
        }
        String dml_columnname() {
            return "dml.casesensitive.columnname";
        }
        String ddl_create() {
            return "ddl.casesensitive";
        }
        String ddl_column() {
            return "ddl.casesensitive.column";
        }
        String map_uppercase_default() {
            return "true";
        }
    },
    upper {
        String dml_tablename() {
            return "dml.caseinsensitive.tablename";
        }
        String dml_columnname() {
            return "dml.caseinsensitive.columnname";
        }
        String ddl_create() {
            return "ddl.caseinsensitive";
        }
        String ddl_column() {
            return "ddl.caseinsensitive.column";
        }
        String map_uppercase_default() {
            return "false";
        }

        @Override
        String value(String value) {
            return value==null?null:value.toUpperCase(Locale.ROOT);
        }
    },
    lower {
        String dml_tablename() {
            return "dml.caseinsensitive.tablename";
        }
        String dml_columnname() {
            return "dml.caseinsensitive.columnname";
        }
        String ddl_create() {
            return "ddl.caseinsensitive";
        }
        String ddl_column() {
            return "ddl.caseinsensitive.column";
        }
        String map_uppercase_default() {
            return "false";
        }

        @Override
        String value(String value) {
            return value==null?null:value.toLowerCase(Locale.ROOT);
        }
    };
    abstract String dml_columnname();
    abstract String dml_tablename();
    abstract String ddl_create();
    abstract String ddl_column();
    abstract String map_uppercase_default();
    String value(String value) {
        return value;
    }
}
