@setlocal
@chcp 65001 >nul

@echo enitsys SQLTools Beispielprogramm für SQLAnalyser
@echo:
@echo Dieses Program analysiert 3 csv-Dateien und erstellt
@echo für jede dieser csv-Dateien jeweils zwei Ergebnisdateien.
@echo Die sql-Dateien enthält ein create table Statement zur Erzeugung
@echo einer Tabelle, in die die Daten importiert werden könnten.
@echo Die properties-Dateienthält eine Konfiguration mit der CSV2sql
@echo diese Datei in eine solche Tabelle importieren könnte.
@echo Input:
@echo   - example/in/Adresse.csv
@echo   - example/in/Person.csv
@echo   - example/in/Wohnort.csv
@echo Output:
@echo   - example/out/OracleCS/csvanalyser.Adresse.properties
@echo   - example/out/OracleCS/csvanalyser.Adresse.sql
@echo   - example/out/OracleCS/csvanalyser.Person.properties
@echo   - example/out/OracleCS/csvanalyser.Person.sql
@echo   - example/out/OracleCS/csvanalyser.Wohnort.properties
@echo   - example/out/OracleCS/csvanalyser.Wohnort.sql
@echo:

@call %~dp0%_setenv.bat

@set DIR_OUT=%DIR_OUT%/OracleCS

@"%JAVA_CMD%" -cp "%CP%" -D"configuration.dir=%DIR_CONFIG%" -D"out.table=Adresse" -D"rdbms=Oracle" -D"out.case=sensitive" com.enitsys.sqltools.CSVAnalyser csvanalyser.Adresse "%DIR_OUT%" "%DIR_IN%/Adresse.csv"

@echo:

@"%JAVA_CMD%" -cp "%CP%" -D"configuration.dir=%DIR_CONFIG%" -D"out.table=Person"  -D"rdbms=Oracle" -D"out.case=sensitive" com.enitsys.sqltools.CSVAnalyser csvanalyser.Person  "%DIR_OUT%" "%DIR_IN%/Person.csv"

@echo:

@"%JAVA_CMD%" -cp "%CP%" -D"configuration.dir=%DIR_CONFIG%" -D"out.table=Wohnort" -D"rdbms=Oracle" -D"out.case=sensitive" com.enitsys.sqltools.CSVAnalyser csvanalyser.Wohnort "%DIR_OUT%" "%DIR_IN%/Wohnort.csv"

@echo:
@pause
